Falkon: böngésző QupZilla alapokon, QtWebEngine motorral

kimarite képe

Egyszer volt, hol nem volt a QupZilla, Qt fejlesztői készlettel készített böngésző, használható volt, szép is volt, jó is volt, aztán a fejlesztése megszakadt (egy-két éve talán). Most a nyomdokaiban lépked a Falkon, az alapvetően KDE asztali környezet alá készített böngésző. Ha érdekel, kipróbálhatod.

QupZilla: https://qupzilla.com/
Falkon: https://www.falkon.org/about/

A tárolókból elérhető,

apt-cache policy falkon
falkon:
  Telepítve: (nincs)
  Jelölt:    3.0.0-0ubuntu3
  Verziótáblázat:
     3.0.0-0ubuntu3 500
        500 http://mirror.vnet.sk/ubuntu bionic/universe amd64 Packages

és az s kapcsolóval teszteltem, hogy milyen csomagokat húz magával. Íme:

sudo apt-get install falkon -s
[sudo] kim jelszava:
Csomaglisták olvasása... Kész
Függőségi fa építése      
Állapotinformációk olvasása... Kész
A következő további csomagok lesznek telepítve:
  libdbusmenu-qt5-2 libevent-2.1-6 libgpgmepp6 libkf5notifications5
  libkf5wallet-bin libkf5wallet5 libkwalletbackend5-5 libphonon4qt5-4
  libqt5webengine-data libqt5webenginecore5 libqt5webenginewidgets5 libre2-4
  phonon4qt5 phonon4qt5-backend-vlc
Javasolt csomagok:
  phonon4qt5-backend-gstreamer
Az alábbi ÚJ csomagok lesznek telepítve:
  falkon libdbusmenu-qt5-2 libevent-2.1-6 libgpgmepp6 libkf5notifications5
  libkf5wallet-bin libkf5wallet5 libkwalletbackend5-5 libphonon4qt5-4
  libqt5webengine-data libqt5webenginecore5 libqt5webenginewidgets5 libre2-4
  phonon4qt5 phonon4qt5-backend-vlc
0 frissített, 15 újonnan telepített, 0 eltávolítandó és 0 nem frissített.
Inst libgpgmepp6 (1.10.0-1ubuntu1 Ubuntu:18.04/bionic [amd64])
Inst libdbusmenu-qt5-2 (0.9.3+16.04.20160218-1ubuntu1 Ubuntu:18.04/bionic [amd64])
Inst libphonon4qt5-4 (4:4.10.0-2 Ubuntu:18.04/bionic [amd64])
Inst phonon4qt5-backend-vlc (0.10.1-2 Ubuntu:18.04/bionic [amd64])
Inst phonon4qt5 (4:4.10.0-2 Ubuntu:18.04/bionic [amd64])
Inst libkf5notifications5 (5.44.0-0ubuntu1 Ubuntu:18.04/bionic [amd64])
Inst libkwalletbackend5-5 (5.44.0-0ubuntu1 Ubuntu:18.04/bionic [amd64])
Inst libkf5wallet5 (5.44.0-0ubuntu1 Ubuntu:18.04/bionic [amd64])
Inst libkf5wallet-bin (5.44.0-0ubuntu1 Ubuntu:18.04/bionic [amd64])
Inst libqt5webengine-data (5.9.5+dfsg-0ubuntu2 Ubuntu:18.04/bionic [all])
Inst libevent-2.1-6 (2.1.8-stable-4build1 Ubuntu:18.04/bionic [amd64])
Inst libre2-4 (20180201+dfsg-2 Ubuntu:18.04/bionic [amd64])
Inst libqt5webenginecore5 (5.9.5+dfsg-0ubuntu2 Ubuntu:18.04/bionic [amd64])
Inst libqt5webenginewidgets5 (5.9.5+dfsg-0ubuntu2 Ubuntu:18.04/bionic [amd64])
Inst falkon (3.0.0-0ubuntu3 Ubuntu:18.04/bionic [amd64])
Conf libgpgmepp6 (1.10.0-1ubuntu1 Ubuntu:18.04/bionic [amd64])
Conf libdbusmenu-qt5-2 (0.9.3+16.04.20160218-1ubuntu1 Ubuntu:18.04/bionic [amd64])
Conf libphonon4qt5-4 (4:4.10.0-2 Ubuntu:18.04/bionic [amd64])
Conf phonon4qt5-backend-vlc (0.10.1-2 Ubuntu:18.04/bionic [amd64])
Conf phonon4qt5 (4:4.10.0-2 Ubuntu:18.04/bionic [amd64])
Conf libkf5notifications5 (5.44.0-0ubuntu1 Ubuntu:18.04/bionic [amd64])
Conf libkwalletbackend5-5 (5.44.0-0ubuntu1 Ubuntu:18.04/bionic [amd64])
Conf libkf5wallet5 (5.44.0-0ubuntu1 Ubuntu:18.04/bionic [amd64])
Conf libkf5wallet-bin (5.44.0-0ubuntu1 Ubuntu:18.04/bionic [amd64])
Conf libqt5webengine-data (5.9.5+dfsg-0ubuntu2 Ubuntu:18.04/bionic [all])
Conf libevent-2.1-6 (2.1.8-stable-4build1 Ubuntu:18.04/bionic [amd64])
Conf libre2-4 (20180201+dfsg-2 Ubuntu:18.04/bionic [amd64])
Conf libqt5webenginecore5 (5.9.5+dfsg-0ubuntu2 Ubuntu:18.04/bionic [amd64])
Conf libqt5webenginewidgets5 (5.9.5+dfsg-0ubuntu2 Ubuntu:18.04/bionic [amd64])
Conf falkon (3.0.0-0ubuntu3 Ubuntu:18.04/bionic [amd64])
kim@kim-hp ~ $

Mindez, persze, a KDE asztali környezetet használóknak már alapvetően a rendszer része, de más asztali környezetnél a telepítéssel jönnek. :)

Valós telepítés:

sudo apt-get install falkon

... jöhet!
(a Cinnamon alatt próbálom)

Csomaglisták olvasása... Kész
Függőségi fa építése      
Állapotinformációk olvasása... Kész
A következő további csomagok lesznek telepítve:
  libdbusmenu-qt5-2 libevent-2.1-6 libgpgmepp6 libkf5notifications5 libkf5wallet-bin libkf5wallet5 libkwalletbackend5-5 libphonon4qt5-4
  libqt5webengine-data libqt5webenginecore5 libqt5webenginewidgets5 libre2-4 phonon4qt5 phonon4qt5-backend-vlc
Javasolt csomagok:
  phonon4qt5-backend-gstreamer
Az alábbi ÚJ csomagok lesznek telepítve:
  falkon libdbusmenu-qt5-2 libevent-2.1-6 libgpgmepp6 libkf5notifications5 libkf5wallet-bin libkf5wallet5 libkwalletbackend5-5 libphonon4qt5-4
  libqt5webengine-data libqt5webenginecore5 libqt5webenginewidgets5 libre2-4 phonon4qt5 phonon4qt5-backend-vlc
0 frissített, 15 újonnan telepített, 0 eltávolítandó és 0 nem frissített.
Letöltendő adatmennyiség: 36,6 MB.
A művelet után 146 MB lemezterület kerül felhasználásra.
Folytatni akarja? [I/n] I (vagy Enter)
[...]

Így néz ki:

Az egér mutatóval mutatom a beállításokat, amelyek magyar nyelven szólnak hozzád (ha a rendszer nyelve magyar).

Enjoy :)

-----

About Falkon

Falkon is a KDE web browser using QtWebEngine rendering engine, previously known as QupZilla. It aims to be a lightweight web browser available through all major platforms. This project has been originally started only for educational purposes. But from its start, Falkon has grown into a feature-rich browser.

Falkon has all standard functions you expect from a web browser. It includes bookmarks, history (both also in sidebar) and tabs. Above that, it has by default enabled blocking ads with a built-in AdBlock plugin.

History

The very first version of QupZilla has been released in December 2010 and it was written in Python with PyQt4 bindings. After a few versions, QupZilla has been completely rewritten in C++ with the Qt Framework. First public release was 1.0.0-b4.

Until version 2.0, QupZilla was using QtWebKit. QtWebKit is now deprecated and new versions are using QtWebEngine.

Since version 3.0, QupZilla is no longer developed and new version are released with Falkon name as a KDE project.

Hozzászólások

kimarite képe

Falkon: böngésző QupZilla alapokon, QtWebEngine motorral

#1 Aham, tényleg nem lehet neked, mert majd a Linux Mint 19 Tara-ban lesz:
https://packages.ubuntu.com/search?suite=default&section=all&arch=any&ke...
Illetve még nem portolták vissza.

PPA-ra itt tudsz rákeresni:
https://launchpad.net/ubuntu/+ppas
(https://askubuntu.com/questions/16393/search-launchpad-for-ppas-matching...)
Olyan PPA-t kell keresned, ahol Xenial csomagban is megvan a Falkon böngésző.

Értékelés: 

0
Még nincs értékelve
vyla képe

Falkon: böngésző QupZilla alapokon, QtWebEngine motorral

Kipróbálásra, csak Manjaro alatt tettem fel, ott csont nélkül működik. Ha kijön az új LM. majd azon is tesztelem.

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Falkon: böngésző QupZilla alapokon, QtWebEngine motorral

#3 Nekem jónak tűnik, bár nem sokat használom,ilettve teszteltem, lévén egyet használok mindig.

Linkeltem egy PPA-t, amely lehetővé teszi a Linux Mint 18.x kiadás alatt is a telepítést.

Értékelés: 

0
Még nincs értékelve